Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePwImpl< ABSTRACT, IMPL, SAMPLE, KEY > Class Template Reference
Inheritance diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePwImpl< ABSTRACT, IMPL, SAMPLE, KEY >:
[legend]
Collaboration diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePwImpl< ABSTRACT, IMPL, SAMPLE, KEY >:
[legend]

## Public Member Functions

virtual const AbcA::PropertyHeader & | getHeader () const
virtual AbcA::ObjectWriterPtr | getObject ()
virtual AbcA::CompoundPropertyWriterPtr | getParent ()
virtual void | setSample (SAMPLE iSamp)
virtual void | setFromPreviousSample ()
virtual size_t | getNumSamples ()
virtual void | setTimeSamplingIndex (uint32_t iIndex)

## Protected Member Functions

| SimplePwImpl (AbcA::CompoundPropertyWriterPtr iParent, hid_t iParentGroup, const std::string &iName, const AbcA::MetaData &iMetaData, const AbcA::DataType &iDataType, uint32_t iTimeSamplingIndex, AbcA::PropertyType iPropType)

## Protected Attributes

AbcA::CompoundPropertyWriterPtr | m_parent
hid_t | m_parentGroup
PropertyHeaderPtr | m_header
hid_t | m_fileDataType
bool | m_cleanFileDataType
hid_t | m_nativeDataType
bool | m_cleanNativeDataType
hid_t | m_sampleIGroup
uint32_t | m_nextSampleIndex
uint32_t | m_firstChangedIndex
uint32_t | m_lastChangedIndex
uint32_t | m_timeSamplingIndex

The documentation for this class was generated from the following file:

- AbcCoreHDF5/SimplePwImpl.h